{"openapi":"3.0.1","info":{"title":"3CX-API","description":"This OData service is located at /xapi/v1","version":"1.0.0","x-ms-generated-by":{"toolName":"Microsoft.OpenApi.OData","toolVersion":"1.0.9.0"}},"servers":[{"url":"/xapi/v1"}],"paths":{"/ActiveCalls":{"description":"Provides operations to manage the collection of ActiveCall entities.","get":{"tags":["ActiveCalls"],"summary":"Get entities from ActiveCalls","operationId":"ListActiveCall","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.ActiveCallCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/ActiveCalls({Id})/Pbx.DropCall":{"description":"Provides operations to call the DropCall method.","post":{"tags":["ActiveCalls"],"summary":"Invoke action DropCall","operationId":"DropCall","parameters":[{"name":"Id","in":"path","description":"The unique identifier of ActiveCall","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"ActiveCall"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.IActionResult"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/ActivityLog/Pbx.GetFilter()":{"description":"Provides operations to call the GetFilter method.","get":{"tags":["ActivityLog"],"summary":"Invoke function GetFilter","operationId":"GetFilter","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ActivityLogsFilter"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ActivityLog/Pbx.GetLogs(startDate={startDate},endDate={endDate},extension={extension},call={call},search={search},severity={severity},top={top},skip={skip})":{"description":"Provides operations to call the GetLogs method.","get":{"tags":["ActivityLog"],"summary":"Invoke function GetLogs","operationId":"GetLogs","parameters":[{"name":"startDate","in":"path","description":"Usage: startDate={startDate}","required":true,"schema":{"pattern":"^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]([.][0-9]{1,12})?(Z|[+-][0-9][0-9]:[0-9][0-9])$","type":"string","format":"date-time"}},{"name":"endDate","in":"path","description":"Usage: endDate={endDate}","required":true,"schema":{"pattern":"^[0-9]{4,}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]([.][0-9]{1,12})?(Z|[+-][0-9][0-9]:[0-9][0-9])$","type":"string","format":"date-time"}},{"name":"extension","in":"path","description":"Usage: extension={extension}","required":true,"schema":{"type":"string","nullable":true}},{"name":"call","in":"path","description":"Usage: call={call}","required":true,"schema":{"type":"string","nullable":true}},{"name":"search","in":"path","description":"Usage: search={search}","required":true,"schema":{"type":"string","nullable":true}},{"name":"severity","in":"path","description":"Usage: severity={severity}","required":true,"schema":{"type":"string","nullable":true}},{"name":"top","in":"path","description":"Usage: top={top}","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}},{"name":"skip","in":"path","description":"Usage: skip={skip}","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of ActivityLogEvent","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.ActivityLogEvent"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ActivityLog/Pbx.PurgeLogs":{"description":"Provides operations to call the PurgeLogs method.","post":{"tags":["ActivityLog"],"summary":"Invoke action PurgeLogs","operationId":"PurgeLogs","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/AntiHackingSettings":{"description":"Provides operations to manage the AntiHackingSettings singleton.","get":{"tags":["AntiHackingSettings"],"summary":"Get AntiHackingSettings","operationId":"GetAntiHackingSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.AntiHackingSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["AntiHackingSettings"],"summary":"Update AntiHackingSettings","operationId":"UpdateAntiHackingSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.AntiHackingSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Backups":{"description":"Provides operations to manage the collection of Backups entities.","get":{"tags":["Backups"],"summary":"Get entities from Backups","operationId":"ListBackups","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.BackupsCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/Backups({FileName})/Pbx.GetBackupExtras()":{"description":"Provides operations to call the GetBackupExtras method.","get":{"tags":["Backups"],"summary":"Invoke function GetBackupExtras","operationId":"GetBackupExtras","parameters":[{"name":"FileName","in":"path","description":"The unique identifier of Backups","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"Backups"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BackupExtras"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups({FileName})":{"description":"Provides operations to manage the collection of Backups entities.","delete":{"tags":["Backups"],"summary":"Delete entity from Backups","operationId":"DeleteBackups","parameters":[{"name":"FileName","in":"path","description":"The unique identifier of Backups","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"Backups"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Backups({FileName})/Pbx.Restore":{"description":"Provides operations to call the Restore method.","post":{"tags":["Backups"],"summary":"Invoke action Restore","operationId":"Restore","parameters":[{"name":"FileName","in":"path","description":"The unique identifier of Backups","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"Backups"}],"requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsBackupsRestoreRequestBody","type":"object","properties":{"password":{"type":"string"},"footprint":{"type":"integer","format":"int64"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Backups/Pbx.Backup":{"description":"Provides operations to call the Backup method.","post":{"tags":["Backups"],"summary":"Invoke action Backup","operationId":"Backup","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsBackupRequestBody","type":"object","properties":{"description":{"$ref":"#/components/schemas/Pbx.CreateBackup"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Backups/Pbx.GetCanCreateBackup()":{"description":"Provides operations to call the GetCanCreateBackup method.","get":{"tags":["Backups"],"summary":"Invoke function GetCanCreateBackup","operationId":"GetCanCreateBackup","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"boolean","default":false}}}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.GetBackupSettings()":{"description":"Provides operations to call the GetBackupSettings method.","get":{"tags":["Backups"],"summary":"Invoke function GetBackupSettings","operationId":"GetBackupSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BackupSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.GetBackupFailoverSettings()":{"description":"Provides operations to call the GetBackupFailoverSettings method.","get":{"tags":["Backups"],"summary":"Invoke function GetBackupFailoverSettings","operationId":"GetBackupFailoverSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BackupFailoverSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.SetBackupFailoverSettings":{"description":"Provides operations to call the SetBackupFailoverSettings method.","post":{"tags":["Backups"],"summary":"Invoke action SetBackupFailoverSettings","operationId":"SetBackupFailoverSettings","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsSetBackupFailoverSettingsRequestBody","type":"object","properties":{"settings":{"$ref":"#/components/schemas/Pbx.BackupFailoverSettings"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Backups/Pbx.GetFailoverScripts()":{"description":"Provides operations to call the GetFailoverScripts method.","get":{"tags":["Backups"],"summary":"Invoke function GetFailoverScripts","operationId":"GetFailoverScripts","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.FailoverScriptFile"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.SetBackupSettings":{"description":"Provides operations to call the SetBackupSettings method.","post":{"tags":["Backups"],"summary":"Invoke action SetBackupSettings","operationId":"SetBackupSettings","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsSetBackupSettingsRequestBody","type":"object","properties":{"settings":{"$ref":"#/components/schemas/Pbx.BackupSettings"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Backups/Pbx.GetBackupRepositorySettings()":{"description":"Provides operations to call the GetBackupRepositorySettings method.","get":{"tags":["Backups"],"summary":"Invoke function GetBackupRepositorySettings","operationId":"GetBackupRepositorySettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BackupRepositorySettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.SetBackupRepositorySettings":{"description":"Provides operations to call the SetBackupRepositorySettings method.","post":{"tags":["Backups"],"summary":"Invoke action SetBackupRepositorySettings","operationId":"SetBackupRepositorySettings","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsSetBackupRepositorySettingsRequestBody","type":"object","properties":{"settings":{"$ref":"#/components/schemas/Pbx.BackupRepositorySettings"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Backups/Pbx.GetRestoreSettings()":{"description":"Provides operations to call the GetRestoreSettings method.","get":{"tags":["Backups"],"summary":"Invoke function GetRestoreSettings","operationId":"GetRestoreSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.RestoreSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Backups/Pbx.SetRestoreSettings":{"description":"Provides operations to call the SetRestoreSettings method.","post":{"tags":["Backups"],"summary":"Invoke action SetRestoreSettings","operationId":"SetRestoreSettings","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BackupsSetRestoreSettingsRequestBody","type":"object","properties":{"settings":{"$ref":"#/components/schemas/Pbx.RestoreSettings"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/BlackListNumbers":{"description":"Provides operations to manage the collection of BlackListNumber entities.","get":{"tags":["BlackListNumbers"],"summary":"Get entities from BlackListNumbers","operationId":"ListBlackListNumber","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.BlackListNumberCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}},"post":{"tags":["BlackListNumbers"],"summary":"Add new entity to BlackListNumbers","operationId":"CreateBlackListNumber","requestBody":{"description":"New entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlackListNumber"}}},"required":true},"responses":{"201":{"description":"Created entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlackListNumber"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/BlackListNumbers({Id})":{"description":"Provides operations to manage the collection of BlackListNumber entities.","get":{"tags":["BlackListNumbers"],"summary":"Get entity from BlackListNumbers by key","operationId":"GetBlackListNumber","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlackListNumber","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"BlackListNumber"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlackListNumber"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["BlackListNumbers"],"summary":"Update entity in BlackListNumbers","operationId":"UpdateBlackListNumber","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlackListNumber","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"BlackListNumber"}],"requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlackListNumber"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["BlackListNumbers"],"summary":"Delete entity from BlackListNumbers","operationId":"DeleteBlackListNumber","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlackListNumber","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"BlackListNumber"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/BlackListNumbers/Pbx.BulkNumbersDelete":{"description":"Provides operations to call the BulkNumbersDelete method.","post":{"tags":["BlackListNumbers"],"summary":"Invoke action BulkNumbersDelete","operationId":"BulkNumbersDelete","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BlackListNumbersBulkNumbersDeleteRequestBody","type":"object","properties":{"ids":{"type":"array","items":{"type":"string"}}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Blocklist":{"description":"Provides operations to manage the collection of BlocklistAddr entities.","get":{"tags":["Blocklist"],"summary":"Get entities from Blocklist","operationId":"ListBlocklistAddr","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.BlocklistAddrCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}},"post":{"tags":["Blocklist"],"summary":"Add new entity to Blocklist","operationId":"CreateBlocklistAddr","requestBody":{"description":"New entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlocklistAddr"}}},"required":true},"responses":{"201":{"description":"Created entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlocklistAddr"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Blocklist({Id})":{"description":"Provides operations to manage the collection of BlocklistAddr entities.","get":{"tags":["Blocklist"],"summary":"Get entity from Blocklist by key","operationId":"GetBlocklistAddr","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlocklistAddr","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"BlocklistAddr"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlocklistAddr"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["Blocklist"],"summary":"Update entity in Blocklist","operationId":"UpdateBlocklistAddr","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlocklistAddr","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"BlocklistAddr"}],"requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.BlocklistAddr"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["Blocklist"],"summary":"Delete entity from Blocklist","operationId":"DeleteBlocklistAddr","parameters":[{"name":"Id","in":"path","description":"The unique identifier of BlocklistAddr","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"BlocklistAddr"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Blocklist/Pbx.BulkIpsDelete":{"description":"Provides operations to call the BulkIpsDelete method.","post":{"tags":["Blocklist"],"summary":"Invoke action BulkIpsDelete","operationId":"BulkIpsDelete","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"BlocklistBulkIpsDeleteRequestBody","type":"object","properties":{"ids":{"type":"array","items":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CallCostSettings":{"description":"Provides operations to manage the collection of CallCostSettings entities.","get":{"tags":["CallCostSettings"],"summary":"Get entities from CallCostSettings","operationId":"ListCallCostSettings","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CallCostSettingsCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CallCostSettings/Pbx.UpdateCost":{"description":"Provides operations to call the UpdateCost method.","post":{"tags":["CallCostSettings"],"summary":"Invoke action UpdateCost","operationId":"UpdateCost","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"CallCostSettingsUpdateCostRequestBody","type":"object","properties":{"costs":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.CallCostSettings"}}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CallCostSettings/Pbx.ExportCallCosts()":{"description":"Provides operations to call the ExportCallCosts method.","get":{"tags":["CallCostSettings"],"summary":"Invoke function ExportCallCosts","operationId":"ExportCallCosts","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.IActionResult"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CallFlowApps({Id})":{"description":"Provides operations to manage the collection of CallFlowApp entities.","get":{"tags":["CallFlowApps"],"summary":"Get entity from CallFlowApps by key","operationId":"GetCallFlowApp","parameters":[{"name":"Id","in":"path","description":"The unique identifier of CallFlowApp","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"CallFlowApp"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallFlowApp"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CallFlowApps"],"summary":"Update entity in CallFlowApps","operationId":"UpdateCallFlowApp","parameters":[{"name":"Id","in":"path","description":"The unique identifier of CallFlowApp","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"CallFlowApp"}],"requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallFlowApp"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["CallFlowApps"],"summary":"Delete entity from CallFlowApps","operationId":"DeleteCallFlowApp","parameters":[{"name":"Id","in":"path","description":"The unique identifier of CallFlowApp","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"CallFlowApp"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CallFlowApps":{"description":"Provides operations to manage the collection of CallFlowApp entities.","get":{"tags":["CallFlowApps"],"summary":"Get entities from CallFlowApps","operationId":"ListCallFlowApp","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CallFlowAppCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}},"post":{"tags":["CallFlowApps"],"summary":"Add new entity to CallFlowApps","operationId":"CreateCallFlowApp","requestBody":{"description":"New entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallFlowApp"}}},"required":true},"responses":{"201":{"description":"Created entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallFlowApp"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CallFlowApps({Id})/Pbx.GetFiles()":{"description":"Provides operations to call the GetFiles method.","get":{"tags":["CallFlowApps"],"summary":"Invoke function GetFiles","operationId":"GetFiles","parameters":[{"name":"Id","in":"path","description":"The unique identifier of CallFlowApp","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"CallFlowApp"},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"type":"string"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CallFlowApps({Id})/Pbx.DeleteFile":{"description":"Provides operations to call the DeleteFile method.","post":{"tags":["CallFlowApps"],"summary":"Invoke action DeleteFile","operationId":"DeleteFile","parameters":[{"name":"Id","in":"path","description":"The unique identifier of CallFlowApp","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"CallFlowApp"}],"requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"CallFlowAppsCallFlowAppDeleteFileRequestBody","type":"object","properties":{"filename":{"type":"string"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CallFlowScripts":{"description":"Provides operations to manage the collection of CallFlowScript entities.","get":{"tags":["CallFlowScripts"],"summary":"Get entities from CallFlowScripts","operationId":"ListCallFlowScript","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CallFlowScriptCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CallHistoryView/Pbx.DownloadCallHistory()":{"description":"Provides operations to call the DownloadCallHistory method.","get":{"tags":["CallHistoryView"],"summary":"Invoke function DownloadCallHistory","operationId":"DownloadCallHistory","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of CallHistoryView","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.CallHistoryView"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CallHistoryView":{"description":"Provides operations to manage the collection of CallHistoryView entities.","get":{"tags":["CallHistoryView"],"summary":"Get entities from CallHistoryView","operationId":"ListCallHistoryView","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CallHistoryViewCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CallParkingSettings":{"description":"Provides operations to manage the CallParkingSettings singleton.","get":{"tags":["CallParkingSettings"],"summary":"Get CallParkingSettings","operationId":"GetCallParkingSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallParkingSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CallParkingSettings"],"summary":"Update CallParkingSettings","operationId":"UpdateCallParkingSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallParkingSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CallTypesSettings":{"description":"Provides operations to manage the CallTypesSettings singleton.","get":{"tags":["CallTypesSettings"],"summary":"Get CallTypesSettings","operationId":"GetCallTypesSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallTypesSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CallTypesSettings"],"summary":"Update CallTypesSettings","operationId":"UpdateCallTypesSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CallTypesSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CDRSettings":{"description":"Provides operations to manage the CDRSettings singleton.","get":{"tags":["CDRSettings"],"summary":"Get CDRSettings","operationId":"GetCDRSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CDRSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CDRSettings"],"summary":"Update CDRSettings","operationId":"UpdateCDRSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CDRSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/ChatHistoryView/Pbx.DownloadChatHistory(clientTimeZone={clientTimeZone})":{"description":"Provides operations to call the DownloadChatHistory method.","get":{"tags":["ChatHistoryView"],"summary":"Invoke function DownloadChatHistory","operationId":"DownloadChatHistory","parameters":[{"name":"clientTimeZone","in":"path","description":"Usage: clientTimeZone={clientTimeZone}","required":true,"schema":{"type":"string","nullable":true}},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of ChatHistoryView","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.ChatHistoryView"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ChatHistoryView":{"description":"Provides operations to manage the collection of ChatHistoryView entities.","get":{"tags":["ChatHistoryView"],"summary":"Get entities from ChatHistoryView","operationId":"ListChatHistoryView","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.ChatHistoryViewCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/ChatLogSettings":{"description":"Provides operations to manage the ChatLogSettings singleton.","get":{"tags":["ChatLogSettings"],"summary":"Get ChatLogSettings","operationId":"GetChatLogSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ChatLogSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["ChatLogSettings"],"summary":"Update ChatLogSettings","operationId":"UpdateChatLogSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ChatLogSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/ChatMessagesHistoryView/Pbx.DownloadChatMessagesHistory(clientTimeZone={clientTimeZone})":{"description":"Provides operations to call the DownloadChatMessagesHistory method.","get":{"tags":["ChatMessagesHistoryView"],"summary":"Invoke function DownloadChatMessagesHistory","operationId":"DownloadChatMessagesHistory","parameters":[{"name":"clientTimeZone","in":"path","description":"Usage: clientTimeZone={clientTimeZone}","required":true,"schema":{"type":"string","nullable":true}},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of ChatMessagesHistoryView","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.ChatMessagesHistoryView"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ChatMessagesHistoryView":{"description":"Provides operations to manage the collection of ChatMessagesHistoryView entities.","get":{"tags":["ChatMessagesHistoryView"],"summary":"Get entities from ChatMessagesHistoryView","operationId":"ListChatMessagesHistoryView","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.ChatMessagesHistoryViewCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CodecsSettings":{"description":"Provides operations to manage the CodecsSettings singleton.","get":{"tags":["CodecsSettings"],"summary":"Get CodecsSettings","operationId":"GetCodecsSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CodecsSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CodecsSettings"],"summary":"Update CodecsSettings","operationId":"UpdateCodecsSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CodecsSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/ConferenceSettings/Pbx.GetWebMeetingZones()":{"description":"Provides operations to call the GetWebMeetingZones method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetWebMeetingZones","operationId":"GetWebMeetingZones","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"type":"string"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.GenerateApiKey()":{"description":"Provides operations to call the GenerateApiKey method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GenerateApiKey","operationId":"GenerateApiKey","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"string"}}}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.DeleteApiKey":{"description":"Provides operations to call the DeleteApiKey method.","post":{"tags":["ConferenceSettings"],"summary":"Invoke action DeleteApiKey","operationId":"DeleteApiKey","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/ConferenceSettings":{"description":"Provides operations to manage the ConferenceSettings singleton.","get":{"tags":["ConferenceSettings"],"summary":"Get ConferenceSettings","operationId":"GetConferenceSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ConferenceSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["ConferenceSettings"],"summary":"Update ConferenceSettings","operationId":"UpdateConferenceSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ConferenceSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/ConferenceSettings/Pbx.GetMCURequestStatus()":{"description":"Provides operations to call the GetMCURequestStatus method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetMCURequestStatus","operationId":"GetMCURequestStatus","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.MCURequestStatus"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.GetOnboardMcuData()":{"description":"Provides operations to call the GetOnboardMcuData method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetOnboardMcuData","operationId":"GetOnboardMcuData","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.OnBoardMcuData"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.GetOnboardMeetings()":{"description":"Provides operations to call the GetOnboardMeetings method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetOnboardMeetings","operationId":"GetOnboardMeetings","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.OnBoardMeeting"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.GetMCURows()":{"description":"Provides operations to call the GetMCURows method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetMCURows","operationId":"GetMCURows","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.OnBoardMcuRow"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.GetMCURow(guid={guid})":{"description":"Provides operations to call the GetMCURow method.","get":{"tags":["ConferenceSettings"],"summary":"Invoke function GetMCURow","operationId":"GetMCURow","parameters":[{"name":"guid","in":"path","description":"Usage: guid={guid}","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.OnBoardMcuRow"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/ConferenceSettings/Pbx.UpdateMCURequestStatus":{"description":"Provides operations to call the UpdateMCURequestStatus method.","post":{"tags":["ConferenceSettings"],"summary":"Invoke action UpdateMCURequestStatus","operationId":"UpdateMCURequestStatus","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"ConferenceSettingsUpdateMCURequestStatusRequestBody","type":"object","properties":{"request":{"$ref":"#/components/schemas/Pbx.MCURequestStatus"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/ConsoleRestrictions":{"description":"Provides operations to manage the ConsoleRestrictions singleton.","get":{"tags":["ConsoleRestrictions"],"summary":"Get ConsoleRestrictions","operationId":"GetConsoleRestrictions","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ConsoleRestrictions"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["ConsoleRestrictions"],"summary":"Update ConsoleRestrictions","operationId":"UpdateConsoleRestrictions","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ConsoleRestrictions"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Contacts":{"description":"Provides operations to manage the collection of Contact entities.","get":{"tags":["Contacts"],"summary":"Get entities from Contacts","operationId":"ListContact","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.ContactCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}},"post":{"tags":["Contacts"],"summary":"Add new entity to Contacts","operationId":"CreateContact","requestBody":{"description":"New entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.Contact"}}},"required":true},"responses":{"201":{"description":"Created entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.Contact"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Contacts/Pbx.SetDirSearchSettings":{"description":"Provides operations to call the SetDirSearchSettings method.","post":{"tags":["Contacts"],"summary":"Invoke action SetDirSearchSettings","operationId":"SetDirSearchSettings","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"ContactsSetDirSearchSettingsRequestBody","type":"object","properties":{"dirSearchSettings":{"$ref":"#/components/schemas/Pbx.ContactsDirSearchSettings"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.GetDirSearchSettings()":{"description":"Provides operations to call the GetDirSearchSettings method.","get":{"tags":["Contacts"],"summary":"Invoke function GetDirSearchSettings","operationId":"GetDirSearchSettings","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.ContactsDirSearchSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Contacts/Pbx.BatchContactsDelete":{"description":"Provides operations to call the BatchContactsDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action BatchContactsDelete","operationId":"BatchContactsDelete","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"ContactsBatchContactsDeleteRequestBody","type":"object","properties":{"ids":{"type":"array","items":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.Office365PersonalContactsBulkDelete":{"description":"Provides operations to call the Office365PersonalContactsBulkDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action Office365PersonalContactsBulkDelete","operationId":"Office365PersonalContactsBulkDelete","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.GooglePersonalContactsBulkDelete":{"description":"Provides operations to call the GooglePersonalContactsBulkDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action GooglePersonalContactsBulkDelete","operationId":"GooglePersonalContactsBulkDelete","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.Office365ContactsBulkDelete":{"description":"Provides operations to call the Office365ContactsBulkDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action Office365ContactsBulkDelete","operationId":"Office365ContactsBulkDelete","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.CRMContactsBulkDelete":{"description":"Provides operations to call the CRMContactsBulkDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action CRMContactsBulkDelete","operationId":"CRMContactsBulkDelete","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.AllContactsBulkDelete":{"description":"Provides operations to call the AllContactsBulkDelete method.","post":{"tags":["Contacts"],"summary":"Invoke action AllContactsBulkDelete","operationId":"AllContactsBulkDelete","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/Contacts/Pbx.ExportContacts()":{"description":"Provides operations to call the ExportContacts method.","get":{"tags":["Contacts"],"summary":"Invoke function ExportContacts","operationId":"ExportContacts","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.IActionResult"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Contacts({Id})":{"description":"Provides operations to manage the collection of Contact entities.","get":{"tags":["Contacts"],"summary":"Get entity from Contacts by key","operationId":"GetContact","parameters":[{"name":"Id","in":"path","description":"The unique identifier of Contact","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"Contact"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.Contact"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["Contacts"],"summary":"Update entity in Contacts","operationId":"UpdateContact","parameters":[{"name":"Id","in":"path","description":"The unique identifier of Contact","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"Contact"}],"requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.Contact"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["Contacts"],"summary":"Delete entity from Contacts","operationId":"DeleteContact","parameters":[{"name":"Id","in":"path","description":"The unique identifier of Contact","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"Contact"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Countries":{"description":"Provides operations to manage the collection of Country entities.","get":{"tags":["Countries"],"summary":"Get entities from Countries","operationId":"ListCountry","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CountryCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CountryCodes":{"description":"Provides operations to manage the CountryCodes singleton.","get":{"tags":["CountryCodes"],"summary":"Get CountryCodes","operationId":"GetCountryCodes","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CountryCodes"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CountryCodes"],"summary":"Update CountryCodes","operationId":"UpdateCountryCodes","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CountryCodes"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CrmIntegration":{"description":"Provides operations to manage the CrmIntegration singleton.","get":{"tags":["CrmIntegration"],"summary":"Get CrmIntegration","operationId":"GetCrmIntegration","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CrmIntegration"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["CrmIntegration"],"summary":"Update CrmIntegration","operationId":"UpdateCrmIntegration","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CrmIntegration"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CrmIntegration/Pbx.Test":{"description":"Provides operations to call the Test method.","post":{"tags":["CrmIntegration"],"summary":"Invoke action Test","operationId":"Test","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"CrmIntegrationTestRequestBody","type":"object","properties":{"number":{"type":"string"}}}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CrmTestResult"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CrmIntegration/Pbx.DeleteCrmContacts":{"description":"Provides operations to call the DeleteCrmContacts method.","post":{"tags":["CrmIntegration"],"summary":"Invoke action DeleteCrmContacts","operationId":"DeleteCrmContacts","responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CrmIntegration/Pbx.SetOAuthState":{"description":"Provides operations to call the SetOAuthState method.","post":{"tags":["CrmIntegration"],"summary":"Invoke action SetOAuthState","operationId":"SetOAuthState","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"CrmIntegrationSetOAuthStateRequestBody","type":"object","properties":{"state":{"$ref":"#/components/schemas/Pbx.OauthStateParam"}}}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.OauthState"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CrmIntegration/Pbx.GetOAuth(variable={variable})":{"description":"Provides operations to call the GetOAuth method.","get":{"tags":["CrmIntegration"],"summary":"Invoke function GetOAuth","operationId":"GetOAuth","parameters":[{"name":"variable","in":"path","description":"Usage: variable={variable}","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/Pbx.CrmChoice"},{"type":"object","nullable":true}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CrmIntegration/Pbx.GetCrmTemplateSource(name={name})":{"description":"Provides operations to call the GetCrmTemplateSource method.","get":{"tags":["CrmIntegration"],"summary":"Invoke function GetCrmTemplateSource","operationId":"GetCrmTemplateSource","parameters":[{"name":"name","in":"path","description":"Usage: name={name}","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/Pbx.CrmTemplateSource"},{"type":"object","nullable":true}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CrmTemplates/Pbx.GeCrmtTemplates()":{"description":"Provides operations to call the GeCrmtTemplates method.","get":{"tags":["CrmTemplates"],"summary":"Invoke function GeCrmtTemplates","operationId":"GeCrmtTemplates","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of CrmTemplate","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.CrmTemplate"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/CrmTemplates({Name})":{"description":"Provides operations to manage the collection of CrmTemplate entities.","get":{"tags":["CrmTemplates"],"summary":"Get entity from CrmTemplates by key","operationId":"GetCrmTemplate","parameters":[{"name":"Name","in":"path","description":"The unique identifier of CrmTemplate","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"CrmTemplate"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.CrmTemplate"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["CrmTemplates"],"summary":"Delete entity from CrmTemplates","operationId":"DeleteCrmTemplate","parameters":[{"name":"Name","in":"path","description":"The unique identifier of CrmTemplate","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"CrmTemplate"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/CustomPrompts":{"description":"Provides operations to manage the collection of CustomPrompt entities.","get":{"tags":["CustomPrompts"],"summary":"Get entities from CustomPrompts","operationId":"ListCustomPrompt","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CustomPromptCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/CustomPrompts/Pbx.MakeCallRecordCustomPrompt":{"description":"Provides operations to call the MakeCallRecordCustomPrompt method.","post":{"tags":["CustomPrompts"],"summary":"Invoke action MakeCallRecordCustomPrompt","operationId":"MakeCallRecordCustomPrompt","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"CustomPromptsMakeCallRecordCustomPromptRequestBody","type":"object","properties":{"dn":{"type":"string"},"filename":{"type":"string"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/CustomPrompts({Filename})":{"description":"Provides operations to manage the collection of CustomPrompt entities.","delete":{"tags":["CustomPrompts"],"summary":"Delete entity from CustomPrompts","operationId":"DeleteCustomPrompt","parameters":[{"name":"Filename","in":"path","description":"The unique identifier of CustomPrompt","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"CustomPrompt"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs":{"description":"Provides operations to manage the Defs singleton.","get":{"tags":["Defs"],"summary":"Get Defs","operationId":"GetDefs","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.Defs"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs/Codecs":{"description":"Provides operations to manage the Codecs property of the Pbx.Defs entity.","get":{"tags":["Defs"],"summary":"Get Codecs from Defs","operationId":"ListCodecs","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.CodecCollectionResponse"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs/GatewayParameters":{"description":"Provides operations to manage the GatewayParameters property of the Pbx.Defs entity.","get":{"tags":["Defs"],"summary":"Get GatewayParameters from Defs","operationId":"ListGatewayParameters","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.GatewayParameterCollectionResponse"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs/GatewayParameterValues":{"description":"Provides operations to manage the GatewayParameterValues property of the Pbx.Defs entity.","get":{"tags":["Defs"],"summary":"Get GatewayParameterValues from Defs","operationId":"ListGatewayParameterValues","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.GatewayParameterValueCollectionResponse"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs/TimeZones":{"description":"Provides operations to manage the TimeZones property of the Pbx.Defs entity.","get":{"tags":["Defs"],"summary":"Get TimeZones from Defs","operationId":"ListTimeZones","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.TimeZoneCollectionResponse"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/Defs/Pbx.GetSystemParameters()":{"description":"Provides operations to call the GetSystemParameters method.","get":{"tags":["Defs"],"summary":"Invoke function GetSystemParameters","operationId":"GetSystemParameters","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.SystemParameters"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Defs/Pbx.HasSystemOwner()":{"description":"Provides operations to call the HasSystemOwner method.","get":{"tags":["Defs"],"summary":"Invoke function HasSystemOwner","operationId":"HasSystemOwner","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"value":{"type":"boolean","default":false}}}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/Defs/Pbx.GetRoutes":{"description":"Provides operations to call the GetRoutes method.","post":{"tags":["Defs"],"summary":"Invoke action GetRoutes","operationId":"GetRoutes","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"DefsGetRoutesRequestBody","type":"object","properties":{"ids":{"type":"array","items":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}}}}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.SetRouteRequest"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/DeviceInfos":{"description":"Provides operations to manage the collection of DeviceInfo entities.","get":{"tags":["DeviceInfos"],"summary":"Get entities from DeviceInfos","operationId":"ListDeviceInfo","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.DeviceInfoCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/DeviceInfos({Id})":{"description":"Provides operations to manage the collection of DeviceInfo entities.","get":{"tags":["DeviceInfos"],"summary":"Get entity from DeviceInfos by key","operationId":"GetDeviceInfo","parameters":[{"name":"Id","in":"path","description":"The unique identifier of DeviceInfo","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"DeviceInfo"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.DeviceInfo"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"delete":{"tags":["DeviceInfos"],"summary":"Delete entity from DeviceInfos","operationId":"DeleteDeviceInfo","parameters":[{"name":"Id","in":"path","description":"The unique identifier of DeviceInfo","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"DeviceInfo"},{"name":"If-Match","in":"header","description":"ETag","schema":{"type":"string"}}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/DeviceInfos({Id})/Pbx.Provision":{"description":"Provides operations to call the Provision method.","post":{"tags":["DeviceInfos"],"summary":"Invoke action Provision","operationId":"Provision","parameters":[{"name":"Id","in":"path","description":"The unique identifier of DeviceInfo","required":true,"schema":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"},"x-ms-docs-key-type":"DeviceInfo"}],"requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"DeviceInfosDeviceInfoProvisionRequestBody","type":"object","properties":{"reprovision":{"type":"boolean","default":false},"userId":{"maximum":2147483647,"minimum":-2147483648,"type":"integer","format":"int32"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/DialCodeSettings":{"description":"Provides operations to manage the DialCodeSettings singleton.","get":{"tags":["DialCodeSettings"],"summary":"Get DialCodeSettings","operationId":"GetDialCodeSettings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.DialCodeSettings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["DialCodeSettings"],"summary":"Update DialCodeSettings","operationId":"UpdateDialCodeSettings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.DialCodeSettings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/DidNumbers":{"description":"Provides operations to manage the collection of DidNumber entities.","get":{"tags":["DidNumbers"],"summary":"Get entities from DidNumbers","operationId":"ListDidNumber","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.DidNumberCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/DNProperties/Pbx.GetPropertiesByDn(dnNumber={dnNumber})":{"description":"Provides operations to call the GetPropertiesByDn method.","get":{"tags":["DNProperties"],"summary":"Invoke function GetPropertiesByDn","operationId":"GetPropertiesByDn","parameters":[{"name":"dnNumber","in":"path","description":"Usage: dnNumber={dnNumber}","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"title":"Collection of DNProperty","type":"object","allOf":[{"$ref":"#/components/schemas/BaseCollectionPaginationCountResponse"},{"type":"object","properties":{"value":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.DNProperty"}}}}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/DNProperties/Pbx.CreateDNProperty":{"description":"Provides operations to call the CreateDNProperty method.","post":{"tags":["DNProperties"],"summary":"Invoke action CreateDNProperty","operationId":"CreateDNProperty","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"DNPropertiesCreateDNPropertyRequestBody","type":"object","properties":{"dnNumber":{"type":"string"},"property":{"$ref":"#/components/schemas/Pbx.DNProperty"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/DNProperties/Pbx.UpdateDNProperty":{"description":"Provides operations to call the UpdateDNProperty method.","post":{"tags":["DNProperties"],"summary":"Invoke action UpdateDNProperty","operationId":"UpdateDNProperty","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"DNPropertiesUpdateDNPropertyRequestBody","type":"object","properties":{"dnNumber":{"type":"string"},"property":{"$ref":"#/components/schemas/Pbx.DNProperty"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/DNProperties/Pbx.DeleteDNProperty":{"description":"Provides operations to call the DeleteDNProperty method.","post":{"tags":["DNProperties"],"summary":"Invoke action DeleteDNProperty","operationId":"DeleteDNProperty","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"DNPropertiesDeleteDNPropertyRequestBody","type":"object","properties":{"dnNumber":{"type":"string"},"propertyName":{"type":"string"}}}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/DNProperties/Pbx.GetDNPropertyByName(dnNumber={dnNumber},name={name})":{"description":"Provides operations to call the GetDNPropertyByName method.","get":{"tags":["DNProperties"],"summary":"Invoke function GetDNPropertyByName","operationId":"GetDNPropertyByName","parameters":[{"name":"dnNumber","in":"path","description":"Usage: dnNumber={dnNumber}","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"Usage: name={name}","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.DNProperty"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"function"}},"/E164Settings":{"description":"Provides operations to manage the E164Settings singleton.","get":{"tags":["E164Settings"],"summary":"Get E164Settings","operationId":"GetE164Settings","parameters":[{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.E164Settings"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["E164Settings"],"summary":"Update E164Settings","operationId":"UpdateE164Settings","requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.E164Settings"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/EmailTemplate":{"description":"Provides operations to manage the collection of EmailTemplate entities.","get":{"tags":["EmailTemplate"],"summary":"Get entities from EmailTemplate","operationId":"ListEmailTemplate","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.EmailTemplateCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/EmailTemplate({TemplatePath})":{"description":"Provides operations to manage the collection of EmailTemplate entities.","get":{"tags":["EmailTemplate"],"summary":"Get entity from EmailTemplate by key","operationId":"GetEmailTemplate","parameters":[{"name":"TemplatePath","in":"path","description":"The unique identifier of EmailTemplate","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"EmailTemplate"},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Retrieved entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.EmailTemplate"}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"},"patch":{"tags":["EmailTemplate"],"summary":"Update entity in EmailTemplate","operationId":"UpdateEmailTemplate","parameters":[{"name":"TemplatePath","in":"path","description":"The unique identifier of EmailTemplate","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"EmailTemplate"}],"requestBody":{"description":"New property values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pbx.EmailTemplate"}}},"required":true},"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"operation"}},"/EmailTemplate({TemplatePath})/Pbx.SetDefault":{"description":"Provides operations to call the SetDefault method.","post":{"tags":["EmailTemplate"],"summary":"Invoke action SetDefault","operationId":"SetDefault","parameters":[{"name":"TemplatePath","in":"path","description":"The unique identifier of EmailTemplate","required":true,"schema":{"type":"string"},"x-ms-docs-key-type":"EmailTemplate"}],"responses":{"204":{"description":"Success"},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/EmergencyGeoLocations":{"description":"Provides operations to manage the collection of EmergencyGeoLocation entities.","get":{"tags":["EmergencyGeoLocations"],"summary":"Get entities from EmergencyGeoLocations","operationId":"ListEmergencyGeoLocation","parameters":[{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/skip"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/count"},{"name":"$orderby","in":"query","description":"Order items by property values","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$select","in":"query","description":"Select properties to be returned","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"$expand","in":"query","description":"Expand related entities","style":"form","explode":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}}],"responses":{"200":{"$ref":"#/components/responses/Pbx.EmergencyGeoLocationCollectionResponse"},"default":{"$ref":"#/components/responses/error"}}}},"/EmergencyGeoLocations/Pbx.Update":{"description":"Provides operations to call the Update method.","post":{"tags":["EmergencyGeoLocations"],"summary":"Invoke action Update","operationId":"Update","requestBody":{"description":"Action parameters","content":{"application/json":{"schema":{"title":"EmergencyGeoLocationsUpdateRequestBody","type":"object","properties":{"locations":{"type":"array","items":{"$ref":"#/components/schemas/Pbx.EmergencyGeoLocation"}}}}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/Pbx.IActionResult"},{"type":"object","nullable":true}]}}}},"default":{"$ref":"#/components/responses/error"}},"x-ms-docs-operation-type":"action"}},"/EmergencyNotificationsSettings":{"description":"Provides operations to manage the EmergencyNotificationsSettings singleton.","get":{"tags":["EmergencyNotificationsSettings"],"summary":"Get EmergencyNotificationsSettings","operationId":"GetEmergencyNotificationsSettings
[...]
